use ratatui::{
    style::{Color, Style},
    widgets::{Block, Borders},
};

/// Return the basic block which uses normal foreground coloring
pub fn basic_block(i: Option<usize>) -> Block<'static> {
    let block = Block::new().borders(Borders::ALL);

    if let Some(i) = i {
        block.title(format!("Column {}", i + 1))
    } else {
        block
    }
}

/// Return the block used for highlighted borders
pub fn highlighted_border_block(i: usize) -> Block<'static> {
    Block::new()
        .borders(Borders::ALL)
        .border_style(Style::default().fg(Color::Blue))
        .title(format!("Column {}", i + 1))
}

pub fn highlighted_item_block() -> Block<'static> {
    Block::new()
        .borders(Borders::ALL)
        .border_style(Style::default().fg(Color::Blue).bg(Color::Blue))
}
